
Foreman - Bug #6351

<br /> seen in UI errors when multiple errors exist on a resource

06/24/2014 08:16 AM - Dominic Cleal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When multiple errors exist on a resource, particularly when deleting (try deleting a subnet that is used by multiple hosts and host

groups, since #6216), you get error messages appear such as:

libvirt (192.168.122.0/24) is used by imagetest2.example.com&lt;br/&gt;libvirt (192.168.122.0/24) 

is used by hammer2.example.com&lt;br/&gt;libvirt (192.168.122.0/24) is used by hammer1.example.com

&lt;br/&gt;libvirt (192.168.122.0/24) is used by api5.example.com&lt;br/&gt;libvirt (192.168.122.0

/24) is used by wstest.example.com&lt;br/&gt;libvirt (192.168.122.0/24) is used by cclient2.exampl

e.com&lt;br/&gt;libvirt (192.168.122.0/24) is used by libvirt&lt;br/&gt;libvirt (192.168.122.0/24)

 is used by example.com

 Due to the recent CVE fix in #5881.

Related issues:

Related to Foreman - Bug #5881: CVE-2014-3491 - XSS from create/update/destro... Closed 05/22/2014

Is duplicate of Foreman - Bug #6402: Using "run puppet" feature fails: undefi... Closed 06/26/2014

History

#1 - 06/24/2014 08:16 AM - Dominic Cleal

- Related to Bug #5881: CVE-2014-3491 - XSS from create/update/destroy notification boxes added

#2 - 07/29/2014 05:13 AM - Dominic Cleal

- Is duplicate of Bug #6402: Using "run puppet" feature fails: undefined method `gsub' for #<Array ...> added

#3 - 07/29/2014 05:13 AM - Dominic Cleal

- Status changed from New to Duplicate

#6402 fixed this too.
